"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ApiCache = void 0;
var ApiCache = /** @class */ (function () {
    function ApiCache() {
        this.apiResponses = new Map();
    }
    ApiCache.prototype.getCachedResponse = function (id) {
        return this.apiResponses.get(id);
    };
    ApiCache.prototype.setCachedResponse = function (id, data) {
        this.apiResponses.set(id, data);
        return data;
    };
    return ApiCache;
}());
exports.ApiCache = ApiCache;
//# sourceMappingURL=cache.js.map